I'm not sure what I'm missing here. I'm working on a project using jspm and es6-module-loader. I've got an module defined as follows:  import hooks from './hooks'; import api from './api'; import tools from './tool...
I'm trying to figure out a good production workflow that plays nice with the development workflow. The need is to exclude 1MB of external libraries from the build, then use a CDN to host them separately. So we have this:  <script src="jspm...
So I did:  $ jspm install github:Eonasdan/bootstrap-datetimepicker $ jspm install npm:moment   Then at the top of my js file I did:  import moment from 'moment'; import {datepicker} from 'eonasdan/bootstrap-datetimepicker'; import ...
I'm working on Play Framework 2.4 and AngularJs 1.5.8 with coffeescript. I am analyzing if it is convenient to use npm. We are using several libraries and many of them have their own dependencies. So, I do not know, what would happen if 2 differe...
I'm trying to setup a project using jspm. I've follows this great tutorial and it works pretty good, except when I try to bundle  $> jspm bundle-sfx app.jsx! app.js --skip-source-maps --minify Building the single-file sfx bundle for app.js...
I am trying to do a simple example using SystemJS Builder by building a SFX bundle, but I cannot get it to work. I cannot figure out how to call exported functions that were in the bundle. Am I missing something obvious?  index.html  <html> <...
I've got one file (app.js) with two named modules in it ("foo", and "bar" - where "bar" depends on "foo").  Question: How to I load "bar" it in the browser?  Disclaimer: I'm new to SystemJS and the docs...
I'm setting up JSPM / Babel for the first time, and trying out a few ES6 features.   It seems only certain features work with the default transform, so I've tried to enable the ES2015 preset, using both package.json and the .babelrc file, as...
What's the best way to load RaphaelJS with JSPM? It appears to export things in such a way that the normal  jspm install raphael   with  import Raphael from 'raphael';   does not work.  Uncaught TypeError: Multiple defines for anonymous m...
I upgraded to --latest but want to downgrade to a specific version due to compatibility issues....

Tags

Recent Questions

Top Questions

Home Tags Terms of Service Privacy Policy DMCA Contact Us

©2020 All rights reserved.